Bug 473984 - Installation of eclipse-jdt.ppc gives missing dependency error on Fedora 10-ppc
Installation of eclipse-jdt.ppc gives missing dependency error on Fedora 10-ppc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
10
ppc64 All
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 13:00 EST by IBM Bug Proxy
Modified: 2013-01-09 23:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:05:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-12-01 13:00:52 EST
=Comment: #0=================================================
Pavan Naregundi <pavan.naregundi@in.ibm.com> - 
Installing the eclipase-jdt on Fedora 10 over ppc architecture give package dependency error as
shown below.

# yum install eclipse-jdt.ppc
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package eclipse-jdt.ppc 1:3.4.1-5.fc10 set to be updated
--> Processing Dependency: junit4 for package: eclipse-jdt
--> Processing Dependency: java-javadoc for package: eclipse-jdt
--> Running transaction check
---> Package eclipse-jdt.ppc 1:3.4.1-5.fc10 set to be updated
--> Processing Dependency: java-javadoc for package: eclipse-jdt
---> Package junit4.ppc 0:4.5-3.1.fc10 set to be updated
--> Processing Dependency: hamcrest for package: junit4
--> Running transaction check
---> Package eclipse-jdt.ppc 1:3.4.1-5.fc10 set to be updated
--> Processing Dependency: java-javadoc for package: eclipse-jdt
---> Package hamcrest.ppc 0:1.1-6.1.fc10 set to be updated
--> Processing Dependency: qdox for package: hamcrest
--> Running transaction check
---> Package eclipse-jdt.ppc 1:3.4.1-5.fc10 set to be updated
--> Processing Dependency: java-javadoc for package: eclipse-jdt
---> Package qdox.ppc 0:1.6.1-5.2.fc10 set to be updated
--> Finished Dependency Resolution
1:eclipse-jdt-3.4.1-5.fc10.ppc from fedora has depsolving problems
  --> Missing Dependency: java-javadoc is needed by package 1:eclipse-jdt-3.4.1-5.fc10.ppc (fedora)
Error: Missing Dependency: java-javadoc is needed by package 1:eclipse-jdt-3.4.1-5.fc10.ppc (fedora)
#

Machine : P510
CPU Type: Power 5
=Comment: #1=================================================
Edjunior Barbosa Machado <emachado@linux.vnet.ibm.com> - 
Hi Pavan,

Could you please provide the yum repositories config files, usually /etc/yum.repos.d/*.repo and/or
/etc/yum.conf files?

Thanks.
=Comment: #2=================================================
Pavan Naregundi <pavan.naregundi@in.ibm.com> - 
(In reply to comment #1)

Hi Edjunior,

I have only one repo enabled which have been created using  DVD iso image as shown below

[fedora]
name=Fedora $releasever - $basearch
failovermethod=priority
baseurl=file:///repo
#mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-$releasever&arch=$basearch
enabled=1
gpgcheck=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch

Here /repo is a repo if DVD iso of F10.
Comment 1 Andrew Overholt 2008-12-01 13:20:07 EST
This probably means java-gcj-compat doesn't provide java-javadoc.  Or that eclipse should have a different dependency.  Deepak?
Comment 2 IBM Bug Proxy 2008-12-01 13:21:06 EST
Hi Red Hat,

I have mirrored this bug against "eclipse" component but please feel free to choose a proper one.

Thanks for your support.
Comment 3 IBM Bug Proxy 2009-01-09 04:00:41 EST
Redhat,
Any updates on this bug?

Thanks
Pavan
Comment 4 Andrew Overholt 2009-01-29 12:12:47 EST
I'm confused as to why this is happening.  According to this:

http://koji.fedoraproject.org/koji/rpminfo?rpmID=904507

java-1.5.0-gcj-javadoc Provides java-javadoc.  OpenJDK provides the same virtual package.

$ rpm -q --whatprovides java-javadoc
java-1.6.0-openjdk-javadoc-1.6.0.0-7.b12.fc10
java-1.5.0-gcj-javadoc-1.5.0.0-23.fc10

Is this still an issue?
Comment 5 Andrew Overholt 2009-01-29 12:15:37 EST
I can't duplicate on my ppc F-10 box here.  I tried both yum install eclipse-jdt and yum install eclipse-jdt.ppc and both worked.
Comment 6 IBM Bug Proxy 2009-01-30 04:00:51 EST
(In reply to comment #11)
> I'm confused as to why this is happening.  According to this:
>
> http://koji.fedoraproject.org/koji/rpminfo?rpmID=904507
>
> java-1.5.0-gcj-javadoc Provides java-javadoc.  OpenJDK provides the same
> virtual package.
>
> $ rpm -q --whatprovides java-javadoc
> java-1.6.0-openjdk-javadoc-1.6.0.0-7.b12.fc10
> java-1.5.0-gcj-javadoc-1.5.0.0-23.fc10
I could not see these packages installed in my system. These packages are not shiped in DVD iso.

If I choose to install the eclipse during the installation it succeeds, but through "yum install eclipse-jdt.ppc" it gives dependency error for javadoc package.
Comment 7 Andrew Overholt 2009-01-30 09:12:13 EST
So perhaps the issue is that something isn't on the DVD when it should be?
Comment 8 IBM Bug Proxy 2009-02-02 00:10:32 EST
(In reply to comment #13)
> So perhaps the issue is that something isn't on the DVD when it should be?
>

Yes. In DVD installation installer installs the eclipse-jdt package without checking the dependency. Is javadoc a dependent package for eclipse-jdt?
Comment 9 Andrew Overholt 2009-02-02 09:14:59 EST
(In reply to comment #8)
> (In reply to comment #13)
> > So perhaps the issue is that something isn't on the DVD when it should be?
> >
> 
> Yes. In DVD installation installer installs the eclipse-jdt package without
> checking the dependency.

So that means the DVD needs to include java-1.5.0-gcj-javadoc, IMO.  At least on ppc.  Please file a bug against ... hmm, pungi?  I really don't know :)

> Is javadoc a dependent package for eclipse-jdt?

Yes.  The JDT's javadocs are linked against the JDK's javadocs at build time.  It's also good practice to have the JDK's javadocs around when developing java code, IMO, as the JDT provides hover help and completion for them.
Comment 10 IBM Bug Proxy 2009-03-27 11:10:38 EDT
------- Comment From emachado@linux.vnet.ibm.com 2009-03-27 11:07 EDT-------
Hello Red Hat,

any news regarding this issue? Please let us know if you need any help.

Thanks for your support.
Comment 11 Andrew Overholt 2009-03-30 09:21:40 EDT
Taking a stab at a component ... sorry if it's incorrect.
Comment 12 Jesse Keating 2009-04-07 18:24:05 EDT
I think I've fixed this upstream, we now do a package deselect from the things
marked with - in the kickstart config, rather than a yum level exclude.  This
means that things with - may still get gathered if they are needed for deps, or
for srpms.

That means that the various javadoc stuff that would be needed will be available on the media.
Comment 13 IBM Bug Proxy 2009-07-27 11:10:46 EDT
------- Comment From emachado@linux.vnet.ibm.com 2009-07-27 11:03 EDT-------
Hello Red Hat,

closing as fixed on Fedora 11 Final.

Thanks for your support.
Comment 14 Bug Zapper 2009-11-18 05:15:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-12-18 02:05:21 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.